#ifndef _HAVE_DC_GLUE_H
#define _HAVE_DC_GLUE_H

#include <kos.h>

#ifndef NULL
#error NULL not defined!
#define NULL ((void *)0x0)
#endif

// #define stderr NULL
#define eprintf(ARGS...) printf(ARGS)
#define CODE_SIZE 0x14000

// LOOKHERE Temporary!  gcc is magically changing fprintf to fwrite or fputc!
// int fwrite(void *stream, const char *fmt);
// int fputc(int c, void *stream);
// ---
// int fprintf(void *stream, const char *fmt, ...);
// int eprintf(const char *fmt, ...);
// int printf(const char *fmt, ...);
// int dc_main(void);
void perror(const char *s);
void exit(int ret);
unsigned int cksum_add32(void *addr, unsigned int len);

extern unsigned int code_cksum;
extern unsigned int total_frames;
extern unsigned int total_inst;
extern unsigned int total_cycles;


#endif
