#ifdef HAVE_CONFIG_H
#include "config.h"
#endif 

#ifdef HAVE_DC

#define DC_NO_PRINTF

#include "dc-glue.h"
#include <kos.h>

unsigned int code_cksum;
unsigned int total_frames;
unsigned int total_inst;
unsigned int total_cycles;

// FIXME
/*
// LOOKHERE Temporary see header file
int fwrite(void *stream, const char *fmt) {
   return 0;
}
int fputc(int c, void *stream) {
   return 0;
}
*/

void perror(const char *s) { fprintf(stderr,s); }

void exit(int ret) {  
//	int i = *((volatile unsigned int *)2);
	arch_exit();
}

unsigned int cksum_add32(void *addr, unsigned int len)
{
	int total = 0, i;
	uint8 *p = (uint8 *)addr;
	for (i = 0; i < len; i++) {
		total += *p++;
	}
	return total;
}

#endif
